# Erweitern eines existierenden Tags

Um herauszufinden, welche Klasse erweitert werden muss, um ein existierendes Tag zu erweitern, kann die Map in `nrGTM_ViewConfig::$gtmClassMap` betrachtet werden:

```php
    protected $gtmClassMap = [
        'details'          => nrGTM_DetailsTag::class,
        'search'           => nrGTM_SearchTag::class,
        'celebros_search'  => nrGTM_SearchTag::class,
        'alist'            => nrGTM_ListTag::class,
        'vendorlist'       => nrGTM_ListTag::class,
        'manufacturerlist' => nrGTM_ListTag::class,
        'thankyou'         => nrGTM_CheckoutTag::class,
        'basket'           => nrGTM_BasketTag::class,
        'user'             => nrGTM_UserTag::class,
        'payment'          => nrGTM_UserTag::class,
        'order'            => nrGTM_UserTag::class,
    ];
```

Um beispielsweise die auf der Detailseite verwendeten Tags anzu passen, muss die Klasse `nrGTM_DetailsTag` über ein OXID Modul erweitert werden.

Einfaches Beispiel, mit dem der Titel eines Produkts kleingeschrieben wird:

```php
class nrExt_DetailsTag extends nrExt_DetailsTag_parent
{
  protected function _getDetailsTag(): array
  {
    $detailsTag = parent::_getDetailsTag();
    $detailsTag['prod_name'] = strtolower($detailsTag['prod_name']);

    return $detailsTag;
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.norisk.group/oxid/noriskmodules/nrgtm/extension-guide/erweitern-eines-existierenden-tags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
